テンプレートトークンを更新
curl --request PUT \
--url https://api.hubapi.com/integrators/timeline/v3/{appId}/event-templates/{eventTemplateId}/tokens/{tokenName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"objectPropertyName": "<string>"
}
'import requests
url = "https://api.hubapi.com/integrators/timeline/v3/{appId}/event-templates/{eventTemplateId}/tokens/{tokenName}"
payload = {
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"objectPropertyName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
options: [{label: '<string>', value: '<string>'}],
objectPropertyName: '<string>'
})
};
fetch('https://api.hubapi.com/integrators/timeline/v3/{appId}/event-templates/{eventTemplateId}/tokens/{tokenName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"objectPropertyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}v3イベントタイプ(外部)
Update a template token
deprecated
トークン名で指定された、イベントタイプのテンプレートトークンを更新します。
PUT
/
integrators
/
timeline
/
v3
/
{appId}
/
event-templates
/
{eventTemplateId}
/
tokens
/
{tokenName}
テンプレートトークンを更新
Supported products
Supported products
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/json
レスポンス
successful operation
リストのセグメンテーションやレポートに使用されます。
テンプレートで参照されるトークンの名前。特定のテンプレートで固有である必要があります。使用できるのは英数字、ピリオド、ダッシュ、またはアンダースコア(. - _)のみです。
データ型が「列挙」の場合、選択元となるオプションのリストが必要です。
Show child attributes
Show child attributes
トークンのデータ型。現在のところ、[文字列、数値、日付、列挙]の中から選択できます。
利用可能なオプション:
date, enumeration, number, string イベント テンプレート トークンが作成された日時(ISO 8601タイムスタンプ)。テンプレートが2020年2月18日より前に作成された場合はnullになります。
CRMオブジェクトプロパティーの名前。イベントに関連付けられているCRMオブジェクトプロパティーが入力されます。十分に用意すれば、タイムラインAPIを使用してCRMオブジェクトを完全に構築できます。
イベント テンプレート トークンが最後に更新された日時(ISO 8601タイムスタンプ)。テンプレートが2020年2月18日より前に作成された場合はnullになります。
最終更新日 2026年4月10日
⌘I